petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMSetVariableBounds

sets a function to compute the lower and upper bound vectors for SNESVI.

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode  DMSetVariableBounds(DM dm,PetscErrorCode (*f)(DM,Vec,Vec))

Logically Collective on DM Many br

### Input Parameter

| dm | - the DM object Many br
| f | - the function that computes variable bounds used by SNESVI (use NULL to cancel a previous function that was set) Many br

Many br

### See Also

DMView(), DMCreateGlobalVector(), DMCreateInterpolation(), DMCreateColoring(), DMCreateMatrix(), DMGetApplicationContext(),
DMSetJacobian() Many br

Level:intermediate
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages